'use strict';

const Sequelize = require('./index');
const sequelize = require('./test/support').createSequelizeInstance();

const User = sequelize.define('user', {
  name: {
    type: Sequelize.STRING
  },
  email: {
    type: Sequelize.STRING
  },
  secret: {
    type: Sequelize.VIRTUAL,
    get() {
      return 'Namay';
    }
  }
}, {
  timestamps: false
});

sequelize
  .sync({ force: true })
  .then(() => {
    return User.create({
      name: 'value',
      email: 'use@mail.com'
    });
  })
  .then(() => {
    return User.findOne({
      attributes: {
        exclude: ['secret']
      }
    });
  })
  .then(user => {
    console.log(JSON.stringify(user, null, 2));
  });